ru.bitel.common.model

## Class Id

- java.lang.Object
- - ru.bitel.common.model.Id

- All Implemented Interfaces:
    java.io.Serializable, Idable
  Direct Known Subclasses:
    AbstractBalanceBean, AbstractBillDocument, AbstractBonusBalanceBean, Account, AccountingPeriod, ActionLogEntry, AdditionalAgreement, AgentAVD, Attribute, Autopayment, BGAbstractTransaction, CardPacket, ConnectionLogEntry, Contact, ContractAutopayment, ContractLimitLog, ContractLimitMovement, ContractPeriod, ContractStatus, ContractTariff, ContractTariffGroup, ContractTariffOption, DataProcessRecord, DealerPayment, Device, DeviceInterfaceIndex, DevicePortSubscription, DocumentPositionSpec, DocumentStatusLogItem, Domain, DrwebAgentStatusBase, DrwebTariff, EnazaAccessToken, Gate, GateType, GroupRight, House, IdTitle, InetAccountingPeriod, InetAuthError, InetServRestriction, IpResource, IpResourceSubscription, IpResourceSubscriptionReal, LogEntry, MangoAccountProduct, MangoFee, MangoPhone, MegogoContractSubRequestLog, MegogoContractSubscriptionStatusPeriod, MobileContractData, MobileContractNotification, MobilePushToken, MobilePushTokenLink, MobileToken, PeriodicTask, PersonalDispatch, PhoneResource, PhoneResourceSubscription, Product, ProductPeriod, ProductSpecServiceLink, Purchase, Rebill, RebillTransaction, RegistrationPeriod, RentsoftPayment, RentsoftProduct, Reserve, Revision, RunningTask, RunTelContractTariff, SbPilotPayment, SchedulerTaskLog, Service, Session, SmartHousePackageContract, SoftkeyTransaction, SoftLineSubscription, SormProject, SormUploadStatistic, Subscriber, SubscriberAccount, Subscription, Subscription, Subscription, Subscription, SynclogEntry, TariffAVD, TariffGroupTariff, TrafficTypeLinkRule, TvServiceSpecChannelLink, UserCard, UserCardCopy, UserInfo, VidimaxCharge, VlanResourceSubscription, VoiceAccountPort, VoiceAuthError, VoiceError, Zone, ZoneWhois

      public class Id
      extends java.lang.Object
      implements java.io.Serializable, Idable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `id` id объекта

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `Id()`
    `protected` | `Id(int id)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `int` | `getId()` Возвращает id объекта
    `int` | `hashCode()`
    `static java.util.List<java.lang.Integer>` | `newIdList(java.util.Collection<? extends Id> list)` Список ид из списка сущностей.
    `static java.util.Set<java.lang.Integer>` | `newIdSet(java.util.Collection<? extends Id> list)`
    `static <K extends Id> java.util.Set<java.lang.Integer>` | `newIdSet(K entity)` Получить из Set из одного Id для объекта.
    `static <K extends Id> java.util.Set<java.lang.Integer>` | `newIdSet(K[] list)`
    `static java.util.Set<java.lang.Integer>` | `newIdSet(java.util.List<? extends Id> list)`
    `static <K extends Id> java.util.Map<java.lang.Integer,K>` | `newMap(java.util.List<K> list)`
    `void` | `setId(int value)` Устанавливает id объекта
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### id

          protected int id

      id объекта

  - ### Constructor Detail

    - #### Id

          public Id()

    - #### Id

          protected Id(int id)

  - ### Method Detail

    - #### getId

          public int getId()

      Возвращает id объекта
      Specified by:
        `getId` in interface `Idable`
      Returns:

    - #### setId

          public void setId(int value)

      Устанавливает id объекта
      Parameters:
        `value` - id

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### newMap

          public static <K extends Id> java.util.Map<java.lang.Integer,K> newMap(java.util.List<K> list)

    - #### newIdSet

          public static <K extends Id> java.util.Set<java.lang.Integer> newIdSet(K[] list)

    - #### newIdSet

          public static java.util.Set<java.lang.Integer> newIdSet(java.util.Collection<? extends Id> list)

    - #### newIdSet

          public static <K extends Id> java.util.Set<java.lang.Integer> newIdSet(K entity)

      Получить из Set из одного Id для объекта. Бывает нужно когда у нас всего один объект, а нужно передать список id.
      Parameters:
        `entity` -
      Returns:

    - #### newIdSet

          public static java.util.Set<java.lang.Integer> newIdSet(java.util.List<? extends Id> list)

    - #### newIdList

          public static java.util.List<java.lang.Integer> newIdList(java.util.Collection<? extends Id> list)

      Список ид из списка сущностей.
      Parameters:
        `list` - коллекция объектов дочерних Id.
      Returns:
        список целых чисел в порядке итерации исходной коллекции.
      See Also:
        `newIdSet(Collection)`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`